Get all concessions
https://api.propexo.com/v1/concessions/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the concession
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
34409-69091f04f1231f4dd7b937666c656b3ebf85903d14ac630430b50ff4026449d1The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
greenbayThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI
nullThe external ID of the unit from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
312441The external ID of the floor plan from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
1bed1bathThe total amount of the concession
This field will always be null for YARDI
nullThe start date associated with the concession
This field will always be null for YARDI
nullThe end date associated with the concession
This field will always be null for YARDI
nullWhether the concession is active
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
trueDescription of the concession
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
Unit type concession - RenewalWhether or not the concession occurs a single time
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
trueWhether or not the concession is recurring
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
The monthly fixed amount of the concession in cents
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
15000The monthly percentage amount of the concession. This is rounded to the nearest percent
This is a percentage of the rent for the unit.
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
15The raw monthly percentage amount of the concession as a string, preserving decimal precision
This field will always be null for YARDI
nullThe one time fixed amount of the concession in cents
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
15000The one time percentage amount of the concession. This is rounded to the nearest percent
This is a percentage of the rent for the unit.
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
15The raw one time percentage amount of the concession as a string, preserving decimal precision
This field will always be null for YARDI
nullThe number of occurrences of the concession
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
3The fixed amount of the concession in cents
This field will always be null for YARDI
nullThe percentage amount of the concession. This is rounded to the nearest percent
This field will always be null for YARDI
nullThe raw percentage amount of the concession as a string, preserving decimal precision
This field will always be null for YARDI
nullThe amount of months for the lease term
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
12The raw value for the lease term
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
12The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")
This field will always be null for YARDI
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_RESTYARDIThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
cm0406pu32914429249gt3y8z1uemttwThe Propexo unique identifier for the floor plan
| Interface | Method |
|---|---|
| ILS Guest Card | AvailableUnits_Login |
cm0406pu32914429310aeby3p1vv9jqdErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/concessions/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "34409-69091f04f1231f4dd7b937666c656b3ebf85903d14ac630430b50ff4026449d1",
"x_property_id": "greenbay",
"x_location_id": null,
"x_unit_id": "312441",
"x_floor_plan_id": "1bed1bath",
"total_amount_in_cents": null,
"start_date": null,
"end_date": null,
"is_active": true,
"description": "Unit type concession - Renewal",
"is_one_time": true,
"is_recurring": true,
"monthly_fixed_amount_in_cents": 15000,
"monthly_percentage_amount": 15,
"monthly_percentage_raw": null,
"one_time_fixed_amount_in_cents": 15000,
"one_time_percentage_amount": 15,
"one_time_percentage_raw": null,
"number_of_occurrences": 3,
"fixed_amount_in_cents": null,
"percentage_amount": null,
"percentage_raw": null,
"lease_term_in_months": 12,
"lease_term_raw": "12",
"concession_formula_raw": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0406pu32914429249gt3y8z1uemttw",
"floor_plan_id": "cm0406pu32914429310aeby3p1vv9jqd"
}
]
}